searchNodes=[{"ref":"BroadwayCloudPubSub.GoogleApiClient.html","title":"BroadwayCloudPubSub.GoogleApiClient","module":"BroadwayCloudPubSub.GoogleApiClient","type":"module","doc":"Default Pub/Sub client used by BroadwayCloudPubSub.Producer to communicate with Google Cloud Pub/Sub service. This client implements the BroadwayCloudPubSub.PubsubClient behaviour which defines callbacks for receiving and acknowledging messages."},{"ref":"BroadwayCloudPubSub.GothToken.html","title":"BroadwayCloudPubSub.GothToken","module":"BroadwayCloudPubSub.GothToken","type":"module","doc":"Default token module used by BroadwayCloudPubSub.Producer to authenticate with Google. Authentication is handled by the Goth library, which must be explicitly included in your dependencies and configured for your application."},{"ref":"BroadwayCloudPubSub.Producer.html","title":"BroadwayCloudPubSub.Producer","module":"BroadwayCloudPubSub.Producer","type":"module","doc":"A GenStage producer that continuously receives messages from a Google Cloud Pub/Sub queue and acknowledges them after being successfully processed. Options using GoogleApiClient (Default) :subscription - Required. The name of the subscription. Example: &quot;projects/my-project/subscriptions/my-subscription&quot; :max_number_of_messages - Optional. The maximum number of messages to be fetched per request. Default is 10. :return_immediately - Optional. If this field set to true, the system will respond immediately even if it there are no messages available to return in the Pull response. Otherwise, the system may wait (for a bounded amount of time) until at least one message is available, rather than returning no messages. Default is nil. Additional options :rest_client - Optional. A module that implements the BroadwayCloudPubSub.RestClient behaviour. This module is responsible for fetching and acknowledging the messages. Pay attention that all options passed to the producer will be forwarded to the client. It&#39;s up to the client to normalize the options it needs. Default is GoogleApiClient. :receive_interval - Optional. The duration (in milliseconds) for which the producer waits before making a request for more messages. Default is 5000. :token_module - Optional. A module that implements the BroadwayCloudPubSub.Token behaviour. This module is responsible for fetching an access token for Google Cloud Pub/Sub. Default is GothToken. :scope - Optional. A string representing the scope or scopes to use when fetching an access token. Default is &quot;https://www.googleapis.com/auth/pubsub&quot; Example Broadway.start_link(MyBroadway, name: MyBroadway, producers: [ default: [ module: {BroadwayCloudPubSub.Producer, subscription: &quot;projects/my-project/subscriptions/my_subscription&quot; } ] ] ) The above configuration will set up a producer that continuously receives messages from &quot;projects/my-project/subscriptions/my_subscription&quot; and sends them downstream."},{"ref":"BroadwayCloudPubSub.Producer.html#handle_receive_messages/1","title":"BroadwayCloudPubSub.Producer.handle_receive_messages/1","module":"BroadwayCloudPubSub.Producer","type":"function","doc":""},{"ref":"BroadwayCloudPubSub.RestClient.html","title":"BroadwayCloudPubSub.RestClient","module":"BroadwayCloudPubSub.RestClient","type":"behaviour","doc":"A generic behaviour to implement Pub/Sub Clients for BroadwayCloudPubSub.Producer using the REST API. This module defines callbacks to normalize options and receive message from a Cloud Pub/Sub topic. Modules that implement this behaviour should be passed as the :rest_client option from BroadwayCloudPubSub.Producer."},{"ref":"BroadwayCloudPubSub.RestClient.html#c:init/1","title":"BroadwayCloudPubSub.RestClient.init/1","module":"BroadwayCloudPubSub.RestClient","type":"callback","doc":""},{"ref":"BroadwayCloudPubSub.RestClient.html#c:receive_messages/2","title":"BroadwayCloudPubSub.RestClient.receive_messages/2","module":"BroadwayCloudPubSub.RestClient","type":"callback","doc":""},{"ref":"BroadwayCloudPubSub.RestClient.html#t:messages/0","title":"BroadwayCloudPubSub.RestClient.messages/0","module":"BroadwayCloudPubSub.RestClient","type":"type","doc":""},{"ref":"BroadwayCloudPubSub.Token.html","title":"BroadwayCloudPubSub.Token","module":"BroadwayCloudPubSub.Token","type":"behaviour","doc":"A generic behaviour to get an access token for Google Cloud Pub/Sub. This module defines callbacks to get an access token for Google Cloud Pub/Sub. Modules that implement this behaviour should be passed as the :token_module option from BroadwayCloudPubSub.Producer."},{"ref":"BroadwayCloudPubSub.Token.html#c:token/1","title":"BroadwayCloudPubSub.Token.token/1","module":"BroadwayCloudPubSub.Token","type":"callback","doc":""},{"ref":"readme.html","title":"BroadwayCloudPubSub","module":"readme","type":"extras","doc":"BroadwayCloudPubSub A Google Cloud Pub/Sub connector for Broadway. Documentation can be found at https://hexdocs.pm/broadway_cloud_pub_sub. This project provides: BroadwayCloudPubSub.Producer - A GenStage producer that continuously receives messages from a Pub/Sub subscription acknowledges them after being successfully processed. BroadwayCloudPubSub.RestClient - A generic behaviour to implement Pub/Sub clients using the REST API. BroadwayCloudPubSub.GoogleApiClient - Default REST client used by BroadwayCloudPubSub.Producer. BroadwayCloudPubSub.Token - A generic behaviour to implement token authentication for Pub/Sub clients. BroadwayCloudPubSub.GothToken - Default token provider used by BroadwayCloudPubSub.Producer."},{"ref":"readme.html#installation","title":"BroadwayCloudPubSub - Installation","module":"readme","type":"extras","doc":"Add :broadway_cloud_pub_sub to the list of dependencies in mix.exs, along with the authentication library of your choice (defaults to :goth): def deps do [ {:broadway_cloud_pub_sub, &quot;~&gt; 0.1.0&quot;}, {:goth, &quot;~&gt; 0.11&quot;} ] end By default, :goth will include :hackney as its HTTP client. If you choose to use an alternative authentication library, you may need to explicitly include an HTTP client (such as :hackney): def deps do [ {:broadway_cloud_pub_sub, &quot;~&gt; 0.1.0&quot;}, {:hackney, &quot;~&gt; 1.9&quot;} ] end"},{"ref":"readme.html#usage","title":"BroadwayCloudPubSub - Usage","module":"readme","type":"extras","doc":"Configure Broadway with one or more producers using BroadwayCloudPubSub.Producer: Broadway.start_link( MyBroadway, name: MyBroadway, producers: [ default: [ module: {BroadwayCloudPubSub.Producer, subscription: &quot;projects/my-project/subscriptions/my-subscription&quot;} ] ] ) For more information, please see the docs for Broadway. There is also an example app available at: https://github.com/mcrumm/broadway_cloud_pub_sub_example"},{"ref":"changelog.html","title":"Changelog","module":"changelog","type":"extras","doc":"Changelog All notable changes to this project will be documented in this file. The format is based on Keep a Changelog, and this project adheres to Semantic Versioning."},{"ref":"changelog.html#unreleased","title":"Changelog - Unreleased","module":"changelog","type":"extras","doc":""},{"ref":"changelog.html#0-1-3-2019-05-06","title":"Changelog - 0.1.3 - 2019-05-06","module":"changelog","type":"extras","doc":"Changed Fixed BroadwayCloudPubSub.GoogleApiClient attempting to send an empty acknowledge request."},{"ref":"changelog.html#0-1-2-2019-04-11","title":"Changelog - 0.1.2 - 2019-04-11","module":"changelog","type":"extras","doc":"Changed MIX_ENV for publishing releases to Hex."},{"ref":"changelog.html#0-1-1-2019-04-11","title":"Changelog - 0.1.1 - 2019-04-11","module":"changelog","type":"extras","doc":"Added This CHANGELOG file to hopefully serve as an evolving example of a standardized open source project CHANGELOG. Changed Fixed CircleCI build for publishing docs to Hex."},{"ref":"changelog.html#0-1-0-2019-04-10","title":"Changelog - 0.1.0 - 2019-04-10","module":"changelog","type":"extras","doc":"Added BroadwayCloudPubSub.Producer - A GenStage producer that continuously receives messages from a Pub/Sub subscription acknowledges them after being successfully processed. BroadwayCloudPubSub.RestClient - A generic behaviour to implement Pub/Sub clients using the REST API. BroadwayCloudPubSub.GoogleApiClient - Default REST client used by BroadwayCloudPubSub.Producer. BroadwayCloudPubSub.Token - A generic behaviour to implement token authentication for Pub/Sub clients. BroadwayCloudPubSub.GothToken - Default token provider used by BroadwayCloudPubSub.Producer."}]